Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.repository.sequencer
Class SequencerConfig

    java.lang.Object
      org.modeshape.common.component.ComponentConfig
          org.modeshape.repository.sequencer.SequencerConfig

All Implemented Interfaces:
  Comparable<ComponentConfig>

    @Immutable
    public class SequencerConfig

extends ComponentConfig

A configuration for a sequencer.

Field Summary
`static String` | `DEFAULT_REPLACE_PREVIOUSLY_DERIVED_CONTENT_PROPERTY_VALUE` The default value (of ) for the `property` that controls whether the output of the sequencer should replace any existing content that was previously derived from the same input.
`static String` | `REPLACE_PREVIOUSLY_DERIVED_CONTENT_PROPERTY_NAME` The name of the property that can be set on any sequencer configuration that specifies whether the output of the sequencer should replace any existing content that was previously derived from the same input.

Constructor Summary
`SequencerConfig(String name, String description, long timestamp, Map<String,Object> properties, String classname, String[] classpath, String... pathExpressions)`
`SequencerConfig(String name, String description, Map<String,Object> properties, String classname, String[] classpath, String... pathExpressions)`
`SequencerConfig(String name, String description, String classname, String[] classpath, String... pathExpressions)`

Method Summary
`Collection<SequencerPathExpression>` | `getPathExpressions()`
`boolean` | `hasChanged(SequencerConfig that)`

Methods inherited from class org.modeshape.common.component.ComponentConfig
`compareTo, equals, getComponentClassname, getComponentClasspath, getComponentClasspathArray, getDescription, getName, getProperties, getTimestamp, hasChanged, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### REPLACE_PREVIOUSLY_DERIVED_CONTENT_PROPERTY_NAME

    public static final String REPLACE_PREVIOUSLY_DERIVED_CONTENT_PROPERTY_NAME

  The name of the property that can be set on any sequencer configuration that specifies whether the output of the sequencer should replace any existing content that was previously derived from the same input.

  See Also:
    Constant Field Values

### DEFAULT_REPLACE_PREVIOUSLY_DERIVED_CONTENT_PROPERTY_VALUE

    public static final String DEFAULT_REPLACE_PREVIOUSLY_DERIVED_CONTENT_PROPERTY_VALUE

  The default value (of ) for the `property` that controls whether the output of the sequencer should replace any existing content that was previously derived from the same input.

Constructor Detail

### SequencerConfig

    public SequencerConfig(String name,
                           String description,
                           String classname,
                           String[] classpath,
                           String... pathExpressions)

### SequencerConfig

    public SequencerConfig(String name,
                           String description,
                           Map<String,Object> properties,
                           String classname,
                           String[] classpath,
                           String... pathExpressions)

### SequencerConfig

    public SequencerConfig(String name,
                           String description,
                           long timestamp,
                           Map<String,Object> properties,
                           String classname,
                           String[] classpath,
                           String... pathExpressions)

Method Detail

### getPathExpressions

    public Collection<SequencerPathExpression> getPathExpressions()

### hasChanged

    public boolean hasChanged(SequencerConfig that)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.